<?php
 
 
 

namespace PhpWA\Protocol\Proto\ClientPayload\UserAgent;

use UnexpectedValueException;




class DeviceType
{
    


    const PHONE = 0;
    


    const TABLET = 1;
    


    const DESKTOP = 2;
    


    const WEARABLE = 3;
    


    const VR = 4;

    private static $valueToName = [
        self::PHONE => 'PHONE',
        self::TABLET => 'TABLET',
        self::DESKTOP => 'DESKTOP',
        self::WEARABLE => 'WEARABLE',
        self::VR => 'VR',
    ];

    public static function name($value)
    {
        if (!isset(self::$valueToName[$value])) {
            throw new UnexpectedValueException(sprintf(
                    'Enum %s has no name defined for value %s', __CLASS__, $value));
        }
        return self::$valueToName[$value];
    }


    public static function value($name)
    {
        $const = __CLASS__ . '::' . strtoupper($name);
        if (!defined($const)) {
            throw new UnexpectedValueException(sprintf(
                    'Enum %s has no value defined for name %s', __CLASS__, $name));
        }
        return constant($const);
    }
}

